# PSF-LoginServer - master - net.psforever.services.vehicle.support.TurretUpgrader.Entry
PSF - LoginServer - master - net.psforever.services.vehicle.support.TurretUpgrader.Entry
Keywords: PSF LoginServer master net.psforever.services.vehicle.support.TurretUpgrader.Entry

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package vehicle
  Definition Classes
    services
-  package support
  Definition Classes
    vehicle
-  object TurretUpgrader extends SupportActorCaseConversions
  Definition Classes
    support
- AddTask
- Downgrade
- Entry

c

net.psforever.services.vehicle.support.TurretUpgrader

# Entry

###

#### case class Entry(_obj: PlanetSideGameObject, _zone: Zone, upgrade: objects.serverobject.turret.TurretUpgrade.Value, _duration: Long) extends support.SupportActor.Entry with Product with Serializable

All information necessary to apply to the removal process to produce an effect. Internally, all entries have a "time created" field.

_obj

  the target

_zone

  the zone in which this target is registered

upgrade

  the next upgrade state for this turret

_duration

  how much longer the target will exist in its current state (in nanoseconds)

Source
  TurretUpgrader.scala

Linear Supertypes
Serializable, Product, Equals, support.SupportActor.Entry, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Entry
2. Serializable
3. Product
4. Equals
5. Entry
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Entry(_obj: PlanetSideGameObject, _zone: Zone, upgrade: objects.serverobject.turret.TurretUpgrade.Value, _duration: Long)

   _obj

     the target

   _zone

     the zone in which this target is registered

   upgrade

     the next upgrade state for this turret

   _duration

     how much longer the target will exist in its current state (in nanoseconds)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val _duration: Long
5.  val _obj: PlanetSideGameObject
6.  val _zone: Zone
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  val duration: Long
   Definition Classes
     Entry
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  val obj: PlanetSideGameObject
    Definition Classes
      Entry
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  val time: Long
    Definition Classes
      Entry
21.  val upgrade: objects.serverobject.turret.TurretUpgrade.Value
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
25.  val zone: Zone
    Definition Classes
      Entry

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from support.SupportActor.Entry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped